package com.foreverwin.mesnac.dispatch.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-09-02
 */

@TableName("Z_SFC_DISPATCH_EMPLOYEE")

public class SfcDispatchEmployee extends Model<SfcDispatchEmployee> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("SITE")
   private String site;
   @TableField("SFC_DISPATCH_BO")
   private String sfcDispatchBo;
   @TableField("EMPLOYEE")
   private String employee;
   @TableField("CREATE_USER")
   private String createUser;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getSfcDispatchBo() {
      return sfcDispatchBo;
   }

   public void setSfcDispatchBo(String sfcDispatchBo) {
      this.sfcDispatchBo = sfcDispatchBo;
   }

   public String getEmployee() {
      return employee;
   }

   public void setEmployee(String employee) {
      this.employee = employee;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String SFC_DISPATCH_BO = "SFC_DISPATCH_BO";

public static final String EMPLOYEE = "EMPLOYEE";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SfcDispatchEmployee{" +
         "handle = " + handle +
         ", site = " + site +
         ", sfcDispatchBo = " + sfcDispatchBo +
         ", employee = " + employee +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         "}";
   }
}